PHP-инклюдинг в PHP Easy Galerie

Дата публикации:
26.05.2006
Дата изменения:
17.10.2006
Всего просмотров:
2205
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP Easy Galerie 1.x
Уязвимые версии: PHP Easy Galerie 1.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "includepath" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[url]/gallerypath/index.php?includepath=evilcode

URL производителя: www.power-place.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: PHP Easy Galerie Index.PHP Remote File Include Vulnerability

или введите имя

CAPTCHA